Unlock Users

put

/cloudapi/restapi/user/change-lock

This operation unlocks a set of locked user accounts.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : List<UserRO>
Type: array
Title: List<UserRO>
Show Source
Nested Schema : UserRO
Type: object
Title: UserRO
User record used by Cloud Administration user management APIs.
Show Source
Nested Schema : CloudTZDateTime
Type: object
Title: CloudTZDateTime
Read Only: true
Date and time when the password was last reset.
Show Source
Nested Schema : CompanyRO
Type: object
Title: CompanyRO
Company or organization record used by Cloud Administration APIs.
Show Source
Nested Schema : List<RoleRO>
Type: array
Title: List<RoleRO>
Roles assigned to the user.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Unique Items Required: true
Role or product associations for the company.
Show Source
Nested Schema : ShortPasswordPolicyRO
Type: object
Title: ShortPasswordPolicyRO
Summary password policy associated with a company.
Show Source
Nested Schema : RoleRO
Type: object
Title: RoleRO
Application role assigned to a user or company.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

successful operation
Body ()
Root Schema : Map<String,String>
Type: object
Title: Map<String,String>
Additional Properties Allowed
Show Source
Map of user identifiers to operation status messages.

400 Response

Invalid input, Please check.

500 Response

Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.
Back to Top